extends Node2D


signal balle_detruite


func _quand_zone_exterieure_detecte_entree(corps: Node2D) -> void:
	if corps is Balle: # toujours le cas si calque collision bien regle
		_traiter_balle_sortie(corps)


func _traiter_balle_sortie(balle: Balle) -> void:
	balle.detruire()
	balle_detruite.emit()
